Master CRM - Operational #1965
Announcements Ul
07/26/2021 08:20 AM - Asma Umar

Status: New Start date:
Priority: Normal Due date:
Assignee: hassaan majeed % Done:

Category: Estimated time:

Target version:

07/26/2021

70%
5.00 hours

Description

History

#1 - 07/27/2021 03:30 PM - hassaan majeed
- Estimated time set to 5.00

#2 - 07/27/2021 03:33 PM - hassaan majeed
- % Done changed from 20 to 70

27-07-2021

Announcements Ul - 4 hours

05/05/2025
